diff --git a/chrono/manager/views.py b/chrono/manager/views.py
index 336f57d..9320710 100644
--- a/chrono/manager/views.py
+++ b/chrono/manager/views.py
@@ -20,25 +20,54 @@ import json
 from django.contrib import messages
 from django.core.exceptions import PermissionDenied
 from django.db.models import Q
-from django.http import HttpResponse, Http404, HttpResponseRedirect
+from django.http import Http404, HttpResponse, HttpResponseRedirect
 from django.shortcuts import get_object_or_404
 from django.urls import reverse, reverse_lazy
 from django.utils.dates import MONTHS
-from django.utils.timezone import now, make_aware, make_naive
+from django.utils.encoding import force_text
+from django.utils.timezone import make_aware, make_naive, now
 from django.utils.translation import ugettext_lazy as _
 from django.utils.translation import ungettext
-from django.utils.encoding import force_text
-from django.views.generic import (DetailView, CreateView, UpdateView,
-        ListView, DeleteView, FormView, TemplateView, DayArchiveView,
-        MonthArchiveView)
-
-from chrono.agendas.models import (Agenda, Event, MeetingType, TimePeriod,
-                                   Booking, Desk, TimePeriodException,
-                                   ICSError, AgendaImportError)
-
-from .forms import (AgendaAddForm, AgendaEditForm, NewEventForm, EventForm, NewMeetingTypeForm, MeetingTypeForm,
-                    TimePeriodForm, ImportEventsForm, NewDeskForm, DeskForm, TimePeriodExceptionForm,
-                    ExceptionsImportForm, AgendasImportForm, TimePeriodAddForm)
+from django.views.generic import (
+    CreateView,
+    DayArchiveView,
+    DeleteView,
+    DetailView,
+    FormView,
+    ListView,
+    MonthArchiveView,
+    TemplateView,
+    UpdateView,
+)
+
+from chrono.agendas.models import (
+    Agenda,
+    AgendaImportError,
+    Booking,
+    Desk,
+    Event,
+    ICSError,
+    MeetingType,
+    TimePeriod,
+    TimePeriodException,
+)
+
+from .forms import (
+    AgendaAddForm,
+    AgendaEditForm,
+    AgendasImportForm,
+    DeskForm,
+    EventForm,
+    ExceptionsImportForm,
+    ImportEventsForm,
+    MeetingTypeForm,
+    NewDeskForm,
+    NewEventForm,
+    NewMeetingTypeForm,
+    TimePeriodAddForm,
+    TimePeriodExceptionForm,
+    TimePeriodForm,
+)
 from .utils import import_site
 
 
@@ -53,6 +82,7 @@ class HomepageView(ListView):
             queryset = queryset.filter(Q(view_role_id__in=group_ids) | Q(edit_role_id__in=group_ids))
         return queryset
 
+
 homepage = HomepageView.as_view()
 
 
@@ -76,6 +106,7 @@ class AgendaAddView(CreateView):
     def get_success_url(self):
         return reverse('chrono-manager-agenda-settings', kwargs={'pk': self.object.id})
 
+
 agenda_add = AgendaAddView.as_view()
 
 
@@ -108,20 +139,21 @@ class AgendasImportView(FormView):
             if results.get('created') == 0:
                 message1 = _('No agenda created.')
             else:
-                message1 = ungettext('An agenda has been created.',
-                        '%(count)d agendas have been created.', results['created']) % {
-                                'count': results['created']}
+                message1 = ungettext(
+                    'An agenda has been created.', '%(count)d agendas have been created.', results['created']
+                ) % {'count': results['created']}
 
             if results.get('updated') == 0:
                 message2 = _('No agenda updated.')
             else:
-                message2 = ungettext('An agenda has been updated.',
-                        '%(count)d agendas have been updated.', results['updated']) % {
-                                'count': results['updated']}
+                message2 = ungettext(
+                    'An agenda has been updated.', '%(count)d agendas have been updated.', results['updated']
+                ) % {'count': results['updated']}
             messages.info(self.request, u'%s %s' % (message1, message2))
 
         return super(AgendasImportView, self).form_valid(form)
 
+
 agendas_import = AgendasImportView.as_view()
 
 
@@ -139,6 +171,7 @@ class AgendaEditView(UpdateView):
     def get_success_url(self):
         return reverse('chrono-manager-agenda-settings', kwargs={'pk': self.object.id})
 
+
 agenda_edit = AgendaEditView.as_view()
 
 
@@ -155,9 +188,10 @@ class AgendaDeleteView(DeleteView):
     def get_context_data(self, **kwargs):
         context = super(AgendaDeleteView, self).get_context_data(**kwargs)
         context['cannot_delete'] = Booking.objects.filter(
-                event__agenda=self.get_object(),
-                event__start_datetime__gt=now(),
-                cancellation_datetime__isnull=True).exists()
+            event__agenda=self.get_object(),
+            event__start_datetime__gt=now(),
+            cancellation_datetime__isnull=True,
+        ).exists()
         return context
 
     def delete(self, request, *args, **kwargs):
@@ -167,6 +201,7 @@ class AgendaDeleteView(DeleteView):
             raise PermissionDenied()
         return super(AgendaDeleteView, self).delete(request, *args, **kwargs)
 
+
 agenda_delete = AgendaDeleteView.as_view()
 
 
@@ -184,15 +219,16 @@ class AgendaView(DetailView):
         if agenda.kind == 'meetings':
             # redirect to today view
             today = datetime.date.today()
-            return HttpResponseRedirect(reverse('chrono-manager-agenda-day-view',
-                    kwargs={'pk': agenda.id,
-                            'year': today.year,
-                            'month': today.month,
-                            'day': today.day}))
+            return HttpResponseRedirect(
+                reverse(
+                    'chrono-manager-agenda-day-view',
+                    kwargs={'pk': agenda.id, 'year': today.year, 'month': today.month, 'day': today.day},
+                )
+            )
 
         # redirect to settings
-        return HttpResponseRedirect(
-                reverse('chrono-manager-agenda-settings', kwargs={'pk': agenda.id}))
+        return HttpResponseRedirect(reverse('chrono-manager-agenda-settings', kwargs={'pk': agenda.id}))
+
 
 agenda_view = AgendaView.as_view()
 
@@ -214,20 +250,23 @@ class AgendaDateView(object):
         # specify 6am time to get the expected timezone on daylight saving time
         # days.
         try:
-            self.date = make_aware(datetime.datetime.strptime(
-                    '%s-%s-%s 06:00' % (self.get_year(), self.get_month(), self.get_day()),
-                    '%Y-%m-%d %H:%M'))
+            self.date = make_aware(
+                datetime.datetime.strptime(
+                    '%s-%s-%s 06:00' % (self.get_year(), self.get_month(), self.get_day()), '%Y-%m-%d %H:%M'
+                )
+            )
         except ValueError:  # day is out of range for month
             # redirect to last day of month
             date = datetime.date(int(self.get_year()), int(self.get_month()), 1)
             date += datetime.timedelta(days=40)
             date = date.replace(day=1)
             date -= datetime.timedelta(days=1)
-            return HttpResponseRedirect(reverse('chrono-manager-agenda-day-view',
-                    kwargs={'pk': self.agenda.id,
-                            'year': date.year,
-                            'month': date.month,
-                            'day': date.day}))
+            return HttpResponseRedirect(
+                reverse(
+                    'chrono-manager-agenda-day-view',
+                    kwargs={'pk': self.agenda.id, 'year': date.year, 'month': date.month, 'day': date.day},
+                )
+            )
         return super(AgendaDateView, self).dispatch(request, *args, **kwargs)
 
     def get_context_data(self, **kwargs):
@@ -253,7 +292,7 @@ class AgendaDateView(object):
 
     def get_years(self):
         year = now().year
-        return [str(x) for x in range(year-1, year+5)]
+        return [str(x) for x in range(year - 1, year + 5)]
 
 
 class AgendaDayView(AgendaDateView, DayArchiveView):
@@ -261,25 +300,30 @@ class AgendaDayView(AgendaDateView, DayArchiveView):
 
     def get_previous_day_url(self):
         previous_day = self.date.date() - datetime.timedelta(days=1)
-        return reverse('chrono-manager-agenda-day-view',
-                kwargs={'pk': self.agenda.id,
-                        'year': previous_day.year,
-                        'month': previous_day.month,
-                        'day': previous_day.day})
+        return reverse(
+            'chrono-manager-agenda-day-view',
+            kwargs={
+                'pk': self.agenda.id,
+                'year': previous_day.year,
+                'month': previous_day.month,
+                'day': previous_day.day,
+            },
+        )
 
     def get_next_day_url(self):
         next_day = self.date.date() + datetime.timedelta(days=1)
-        return reverse('chrono-manager-agenda-day-view',
-                kwargs={'pk': self.agenda.id,
-                        'year': next_day.year,
-                        'month': next_day.month,
-                        'day': next_day.day})
+        return reverse(
+            'chrono-manager-agenda-day-view',
+            kwargs={
+                'pk': self.agenda.id,
+                'year': next_day.year,
+                'month': next_day.month,
+                'day': next_day.day,
+            },
+        )
 
     def get_timetable_infos(self):
-        timeperiods = TimePeriod.objects.filter(
-                desk__agenda=self.agenda,
-                weekday=self.date.weekday(),
-                )
+        timeperiods = TimePeriod.objects.filter(desk__agenda=self.agenda, weekday=self.date.weekday(),)
         if not timeperiods:
             return
 
@@ -307,15 +351,22 @@ class AgendaDayView(AgendaDateView, DayArchiveView):
                     # use first row to include opening hours
                     info['opening_hours'] = opening_hours = []
                     for opening_hour in desk.get_opening_hours(current_date.date()):
-                        opening_hours.append({
-                            'css_top': 100 * (opening_hour.begin - start_date).seconds // 3600,
-                            'css_height': 100 * (opening_hour.end - opening_hour.begin).seconds // 3600,
-                        })
+                        opening_hours.append(
+                            {
+                                'css_top': 100 * (opening_hour.begin - start_date).seconds // 3600,
+                                'css_height': 100 * (opening_hour.end - opening_hour.begin).seconds // 3600,
+                            }
+                        )
                 infos.append(info)
                 info['bookings'] = bookings = []  # bookings for this desk
                 finish_datetime = current_date + interval
-                for event in [x for x in self.object_list if x.desk_id == desk.id and
-                              x.start_datetime >= current_date and x.start_datetime < finish_datetime]:
+                for event in [
+                    x
+                    for x in self.object_list
+                    if x.desk_id == desk.id
+                    and x.start_datetime >= current_date
+                    and x.start_datetime < finish_datetime
+                ]:
                     # don't consider cancelled bookings
                     for booking in [x for x in event.booking_set.all() if not x.cancellation_datetime]:
                         booking.css_top = int(100 * event.start_datetime.minute / 60)
@@ -326,6 +377,7 @@ class AgendaDayView(AgendaDateView, DayArchiveView):
             current_date += interval
             first = False
 
+
 agenda_day_view = AgendaDayView.as_view()
 
 
@@ -334,17 +386,17 @@ class AgendaMonthView(AgendaDateView, MonthArchiveView):
 
     def get_previous_month_url(self):
         previous_month = self.get_previous_month(self.date.date())
-        return reverse('chrono-manager-agenda-month-view',
-                kwargs={'pk': self.agenda.id,
-                        'year': previous_month.year,
-                        'month': previous_month.month})
+        return reverse(
+            'chrono-manager-agenda-month-view',
+            kwargs={'pk': self.agenda.id, 'year': previous_month.year, 'month': previous_month.month},
+        )
 
     def get_next_month_url(self):
         next_month = self.get_next_month(self.date.date())
-        return reverse('chrono-manager-agenda-month-view',
-                kwargs={'pk': self.agenda.id,
-                        'year': next_month.year,
-                        'month': next_month.month})
+        return reverse(
+            'chrono-manager-agenda-month-view',
+            kwargs={'pk': self.agenda.id, 'year': next_month.year, 'month': next_month.month},
+        )
 
     def get_day(self):
         return '1'
@@ -362,11 +414,11 @@ class AgendaMonthView(AgendaDateView, MonthArchiveView):
             last_week_number = 53
 
         for week_number in range(first_week_number, last_week_number + 1):
-            yield self.get_week_timetable_infos(week_number-first_week_number, timeperiods)
+            yield self.get_week_timetable_infos(week_number - first_week_number, timeperiods)
 
     def get_week_timetable_infos(self, week_index, timeperiods):
 
-        date = self.date + datetime.timedelta(week_index*7)
+        date = self.date + datetime.timedelta(week_index * 7)
         year, week_number, dow = date.isocalendar()
         start_date = date - datetime.timedelta(dow)
 
@@ -382,16 +434,23 @@ class AgendaMonthView(AgendaDateView, MonthArchiveView):
             periods.append(period)
             period = period + interval
 
-        return {'days': [self.get_day_timetable_infos(start_date + datetime.timedelta(i), interval) for i in range(1, 8)],
-                'periods': periods}
+        return {
+            'days': [
+                self.get_day_timetable_infos(start_date + datetime.timedelta(i), interval)
+                for i in range(1, 8)
+            ],
+            'periods': periods,
+        }
 
     def get_day_timetable_infos(self, day, interval):
         day = make_aware(make_naive(day))  # give day correct timezone
         period = current_date = day.replace(hour=self.min_timeperiod.hour, minute=0)
-        timetable = {'date': current_date,
-                     'today': day.date() == datetime.date.today(),
-                     'other_month': day.month != self.date.month,
-                     'infos': {'opening_hours': [], 'booked_slots': []}}
+        timetable = {
+            'date': current_date,
+            'today': day.date() == datetime.date.today(),
+            'other_month': day.month != self.date.month,
+            'infos': {'opening_hours': [], 'booked_slots': []},
+        }
 
         desks = self.agenda.desk_set.all()
         desks_len = len(desks)
@@ -406,35 +465,42 @@ class AgendaMonthView(AgendaDateView, MonthArchiveView):
             period_end = period + interval
             for desk_index, desk in enumerate(desks):
                 width = (98.0 / desks_len) - 1
-                for event in [x for x in self.object_list if x.desk_id == desk.id and
-                              x.start_datetime >= period and x.start_datetime < period_end]:
+                for event in [
+                    x
+                    for x in self.object_list
+                    if x.desk_id == desk.id and x.start_datetime >= period and x.start_datetime < period_end
+                ]:
                     # don't consider cancelled bookings
                     bookings = [x for x in event.booking_set.all() if not x.cancellation_datetime]
                     if not bookings:
                         continue
-                    booking = {'css_top': 100 * (event.start_datetime - current_date).seconds // 3600,
-                               'css_height': 100 * event.meeting_type.duration // 60,
-                               'css_width': width,
-                               'css_left': left,
-                               'desk': desk,
-                               'booking': bookings[0]
+                    booking = {
+                        'css_top': 100 * (event.start_datetime - current_date).seconds // 3600,
+                        'css_height': 100 * event.meeting_type.duration // 60,
+                        'css_width': width,
+                        'css_left': left,
+                        'desk': desk,
+                        'booking': bookings[0],
                     }
                     timetable['infos']['booked_slots'].append(booking)
 
                 # get desks opening hours on last period iteration
                 if period == max_date:
                     for hour in desk.get_opening_hours(current_date):
-                        timetable['infos']['opening_hours'].append({
-                            'css_top': 100 * (hour.begin - current_date).seconds // 3600,
-                            'css_height': 100 * (hour.end - hour.begin).seconds // 3600,
-                            'css_width': width,
-                            'css_left': left,
-                        })
+                        timetable['infos']['opening_hours'].append(
+                            {
+                                'css_top': 100 * (hour.begin - current_date).seconds // 3600,
+                                'css_height': 100 * (hour.end - hour.begin).seconds // 3600,
+                                'css_width': width,
+                                'css_left': left,
+                            }
+                        )
                 left += width + 1
             period += interval
 
         return timetable
 
+
 agenda_monthly_view = AgendaMonthView.as_view()
 
 
@@ -550,6 +616,7 @@ class AgendaSettings(ManagedAgendaMixin, DetailView):
         context['user_can_manage'] = self.get_object().can_be_managed(self.request.user)
         return context
 
+
 agenda_settings = AgendaSettings.as_view()
 
 
@@ -561,6 +628,7 @@ class AgendaExport(ManagedAgendaMixin, DetailView):
         json.dump({'agendas': [self.get_object().export_json()]}, response, indent=2)
         return response
 
+
 agenda_export = AgendaExport.as_view()
 
 
@@ -569,6 +637,7 @@ class AgendaAddEventView(ManagedAgendaMixin, CreateView):
     model = Event
     form_class = NewEventForm
 
+
 agenda_add_event = AgendaAddEventView.as_view()
 
 
@@ -583,6 +652,7 @@ class AgendaImportEventsSampleView(TemplateView):
         context['some_future_date'] = some_future_date
         return context
 
+
 agenda_import_events_sample_csv = AgendaImportEventsSampleView.as_view()
 
 
@@ -600,14 +670,13 @@ class AgendaImportEventsView(ManagedAgendaMixin, FormView):
         if form.events:
             for event in form.events:
                 event.agenda_id = self.kwargs['pk']
-                if event.slug and Event.objects.filter(
-                        agenda_id=event.agenda_id,
-                        slug=event.slug).exists():
+                if event.slug and Event.objects.filter(agenda_id=event.agenda_id, slug=event.slug).exists():
                     raise ValidationError(_('Duplicated event identifier'))
                 event.save()
             messages.info(self.request, _('%d events have been imported.') % len(form.events))
         return super(AgendaImportEventsView, self).form_valid(form)
 
+
 agenda_import_events = AgendaImportEventsView.as_view()
 
 
@@ -616,6 +685,7 @@ class EventEditView(ManagedAgendaSubobjectMixin, UpdateView):
     model = Event
     form_class = EventForm
 
+
 event_edit = EventEditView.as_view()
 
 
@@ -626,8 +696,9 @@ class EventDeleteView(ManagedAgendaSubobjectMixin, DeleteView):
     def get_context_data(self, **kwargs):
         context = super(EventDeleteView, self).get_context_data(**kwargs)
         context['cannot_delete'] = bool(
-                self.object.booking_set.filter(cancellation_datetime__isnull=True).exists() and
-                self.object.start_datetime > now())
+            self.object.booking_set.filter(cancellation_datetime__isnull=True).exists()
+            and self.object.start_datetime > now()
+        )
         return context
 
     def delete(self, request, *args, **kwargs):
@@ -637,6 +708,7 @@ class EventDeleteView(ManagedAgendaSubobjectMixin, DeleteView):
             raise PermissionDenied()
         return super(EventDeleteView, self).delete(request, *args, **kwargs)
 
+
 event_delete = EventDeleteView.as_view()
 
 
@@ -645,13 +717,16 @@ class AgendaAddMeetingTypeView(ManagedAgendaMixin, CreateView):
     model = Event
     form_class = NewMeetingTypeForm
 
+
 agenda_add_meeting_type = AgendaAddMeetingTypeView.as_view()
 
+
 class MeetingTypeEditView(ManagedAgendaSubobjectMixin, UpdateView):
     template_name = 'chrono/manager_meeting_type_form.html'
     model = MeetingType
     form_class = MeetingTypeForm
 
+
 meeting_type_edit = MeetingTypeEditView.as_view()
 
 
@@ -659,6 +734,7 @@ class MeetingTypeDeleteView(ManagedAgendaSubobjectMixin, DeleteView):
     template_name = 'chrono/manager_confirm_delete.html'
     model = MeetingType
 
+
 meeting_type_delete = MeetingTypeDeleteView.as_view()
 
 
@@ -669,13 +745,15 @@ class AgendaAddTimePeriodView(ManagedDeskMixin, FormView):
     def form_valid(self, form):
         for weekday in form.cleaned_data.get('weekdays'):
             period = TimePeriod(
-                    weekday=weekday,
-                    start_time=form.cleaned_data['start_time'],
-                    end_time=form.cleaned_data['end_time'],
-                    desk=self.desk)
+                weekday=weekday,
+                start_time=form.cleaned_data['start_time'],
+                end_time=form.cleaned_data['end_time'],
+                desk=self.desk,
+            )
             period.save()
         return super(AgendaAddTimePeriodView, self).form_valid(form)
 
+
 agenda_add_time_period = AgendaAddTimePeriodView.as_view()
 
 
@@ -684,6 +762,7 @@ class TimePeriodEditView(ManagedDeskSubobjectMixin, UpdateView):
     model = TimePeriod
     form_class = TimePeriodForm
 
+
 time_period_edit = TimePeriodEditView.as_view()
 
 
@@ -691,6 +770,7 @@ class TimePeriodDeleteView(ManagedDeskSubobjectMixin, DeleteView):
     template_name = 'chrono/manager_confirm_delete.html'
     model = TimePeriod
 
+
 time_period_delete = TimePeriodDeleteView.as_view()
 
 
@@ -719,9 +799,8 @@ class DeskDeleteView(ManagedAgendaSubobjectMixin, DeleteView):
     def get_context_data(self, **kwargs):
         context = super(DeskDeleteView, self).get_context_data(**kwargs)
         context['cannot_delete'] = Booking.objects.filter(
-                event__desk=self.get_object(),
-                event__start_datetime__gt=now(),
-                cancellation_datetime__isnull=True).exists()
+            event__desk=self.get_object(), event__start_datetime__gt=now(), cancellation_datetime__isnull=True
+        ).exists()
         return context
 
     def delete(self, request, *args, **kwargs):
@@ -812,7 +891,9 @@ class DeskImportTimePeriodExceptionsView(ManagedAgendaSubobjectMixin, UpdateView
                 ics_file_content = force_text(form.cleaned_data['ics_file'].read())
                 exceptions = form.instance.create_timeperiod_exceptions_from_ics(ics_file_content)
             elif form.cleaned_data['ics_url']:
-                exceptions = form.instance.create_timeperiod_exceptions_from_remote_ics(form.cleaned_data['ics_url'])
+                exceptions = form.instance.create_timeperiod_exceptions_from_remote_ics(
+                    form.cleaned_data['ics_url']
+                )
             else:
                 form.instance.remove_timeperiod_exceptions_from_remote_ics()
         except ICSError as e:
@@ -821,21 +902,28 @@ class DeskImportTimePeriodExceptionsView(ManagedAgendaSubobjectMixin, UpdateView
         form.instance.timeperiod_exceptions_remote_url = form.cleaned_data['ics_url']
         form.instance.save()
         if exceptions is not None:
-            message = ungettext('An exception has been imported.',
-                                '%(count)d exceptions have been imported.', exceptions)
+            message = ungettext(
+                'An exception has been imported.', '%(count)d exceptions have been imported.', exceptions
+            )
             message = message % {'count': exceptions}
             messages.info(self.request, message)
         return super(DeskImportTimePeriodExceptionsView, self).form_valid(form)
 
+
 desk_import_time_period_exceptions = DeskImportTimePeriodExceptionsView.as_view()
 
 
 def menu_json(request):
     label = _('Agendas')
-    json_str = json.dumps([{'label': force_text(label),
-        'slug': 'calendar',
-        'url': request.build_absolute_uri(reverse('chrono-manager-homepage'))
-        }])
+    json_str = json.dumps(
+        [
+            {
+                'label': force_text(label),
+                'slug': 'calendar',
+                'url': request.build_absolute_uri(reverse('chrono-manager-homepage')),
+            }
+        ]
+    )
     content_type = 'application/json'
     for variable in ('jsonpCallback', 'callback'):
         if variable in request.GET:
diff --git a/chrono/manager/widgets.py b/chrono/manager/widgets.py
index f3387c0..c572f42 100644
--- a/chrono/manager/widgets.py
+++ b/chrono/manager/widgets.py
@@ -11,7 +11,7 @@ import json
 import re
 import uuid
 
-from django.forms.widgets import DateTimeInput, TimeInput, SelectMultiple
+from django.forms.widgets import DateTimeInput, SelectMultiple, TimeInput
 from django.utils.formats import get_language
 from django.utils.safestring import mark_safe
 
@@ -39,7 +39,7 @@ DATE_FORMAT_PY_JS_MAPPING = {
     '%Y': 'yyyy',
     '%y': 'yy',
     '%p': 'P',
-    '%S': 'ss'
+    '%S': 'ss',
 }
 
 DATE_FORMAT_TO_JS_REGEX = re.compile(r'(?<!\w)(' + '|'.join(DATE_FORMAT_PY_JS_MAPPING.keys()) + r')\b')
@@ -77,9 +77,8 @@ class PickerWidgetMixin(object):
         # with a default, and convert it to a Python data format for later string parsing
         date_format = self.options['format']
         self.format = DATE_FORMAT_TO_PYTHON_REGEX.sub(
-            lambda x: DATE_FORMAT_JS_PY_MAPPING[x.group()],
-            date_format
-            )
+            lambda x: DATE_FORMAT_JS_PY_MAPPING[x.group()], date_format
+        )
 
         super(PickerWidgetMixin, self).__init__(attrs, format=self.format)
 
@@ -87,7 +86,7 @@ class PickerWidgetMixin(object):
         final_attrs = self.build_attrs(attrs)
         rendered_widget = super(PickerWidgetMixin, self).render(name, value, final_attrs, renderer=renderer)
 
-        #if not set, autoclose have to be true.
+        # if not set, autoclose have to be true.
         self.options.setdefault('autoclose', True)
 
         # Build javascript options out of python dictionary
@@ -100,13 +99,15 @@ class PickerWidgetMixin(object):
         # Use provided id or generate hex to avoid collisions in document
         id = final_attrs.get('id', uuid.uuid4().hex)
 
-        return mark_safe(BOOTSTRAP_INPUT_TEMPLATE % dict(
-                    id=id,
-                    rendered_widget=rendered_widget,
-                    clear_button=CLEAR_BTN_TEMPLATE if self.options.get('clearBtn') else '',
-                    glyphicon=self.glyphicon,
-                    options=js_options
-                    )
+        return mark_safe(
+            BOOTSTRAP_INPUT_TEMPLATE
+            % dict(
+                id=id,
+                rendered_widget=rendered_widget,
+                clear_button=CLEAR_BTN_TEMPLATE if self.options.get('clearBtn') else '',
+                glyphicon=self.glyphicon,
+                options=js_options,
+            )
         )
 
 
@@ -136,6 +137,7 @@ class TimeWidget(TimeInput):
     input type and has a bit of a fallback mechanism with the presence
     of the pattern attribute in case a standard text input is used.
     """
+
     input_type = 'time'
 
     def __init__(self, **kwargs):
@@ -149,13 +151,17 @@ class WeekdaysWidget(SelectMultiple):
         s = []
         value = value or []
         for choice_id, choice_label in self.choices:
-            s.append('<li><label><input type="checkbox" '
-                     '  name="%(name)s-%(choice_id)s" %(checked)s>'
-                     '<span>%(choice_label)s</span></label></li>' % {
-                         'name': name,
-                         'checked': 'checked' if choice_id in value else '',
-                         'choice_id': choice_id,
-                         'choice_label': choice_label})
+            s.append(
+                '<li><label><input type="checkbox" '
+                '  name="%(name)s-%(choice_id)s" %(checked)s>'
+                '<span>%(choice_label)s</span></label></li>'
+                % {
+                    'name': name,
+                    'checked': 'checked' if choice_id in value else '',
+                    'choice_id': choice_id,
+                    'choice_label': choice_label,
+                }
+            )
         return mark_safe('<ul id="%(id)s">' % attrs + '\n'.join(s) + '</ul>')
 
     def value_from_datadict(self, data, files, name):
diff --git a/chrono/settings.py b/chrono/settings.py
index b5163b3..f1135d2 100644
--- a/chrono/settings.py
+++ b/chrono/settings.py
@@ -24,6 +24,7 @@ and to disable DEBUG mode in production.
 """
 
 import os
+
 from django.conf.global_settings import STATICFILES_FINDERS
 
 # Build paths inside the project like this: os.path.join(BASE_DIR, ...)
@@ -77,10 +78,7 @@ WSGI_APPLICATION = 'chrono.wsgi.application'
 # https://docs.djangoproject.com/en/1.7/ref/settings/#databases
 
 DATABASES = {
-    'default': {
-        'ENGINE': 'django.db.backends.sqlite3',
-        'NAME': os.path.join(BASE_DIR, 'db.sqlite3'),
-    }
+    'default': {'ENGINE': 'django.db.backends.sqlite3', 'NAME': os.path.join(BASE_DIR, 'db.sqlite3'),}
 }
 
 # Internationalization
@@ -96,7 +94,7 @@ USE_L10N = True
 
 USE_TZ = True
 
-LOCALE_PATHS = (os.path.join(BASE_DIR, 'chrono', 'locale'), )
+LOCALE_PATHS = (os.path.join(BASE_DIR, 'chrono', 'locale'),)
 
 FORMAT_MODULE_PATH = 'chrono.formats'
 
@@ -104,8 +102,7 @@ FORMAT_MODULE_PATH = 'chrono.formats'
 TEMPLATES = [
     {
         'BACKEND': 'django.template.backends.django.DjangoTemplates',
-        'DIRS': [
-        ],
+        'DIRS': [],
         'APP_DIRS': True,
         'OPTIONS': {
             'context_processors': [
@@ -165,7 +162,8 @@ MELLON_IDENTITY_PROVIDERS = []
 # (see http://docs.python-requests.org/en/master/user/advanced/#proxies)
 REQUESTS_PROXIES = None
 
-local_settings_file = os.environ.get('CHRONO_SETTINGS_FILE',
-        os.path.join(os.path.dirname(__file__), 'local_settings.py'))
+local_settings_file = os.environ.get(
+    'CHRONO_SETTINGS_FILE', os.path.join(os.path.dirname(__file__), 'local_settings.py')
+)
 if os.path.exists(local_settings_file):
     exec(open(local_settings_file).read())
